$(document).ready(function(){
	// 初始化
	$('.houseProperty').hide();
	$('.queryList').hide();
	$('.multipleBox').hide();
	$('.btn').hide();


	// 接收参数
	let value = window.location.search.slice(1).split('&');
	let param = {};
	$.each(value, (index,item)=>{
		param[item.split('=')[0]] = item.split('=')[1];
	});
	

	function goDetail(){
		window.location.href = 'detail.html'
	}
	var Client = {
		browser: {
			versions: function () {
				let u = navigator.userAgent,
					app = navigator.appVersion;
				return {
					appflag: u.indexOf('pingdingshanapp') > -1, //UA模块 每个项目都需要改
					isFlutter: u.indexOf('app-flutter') > -1, //flutter框架
					trident: u.indexOf('Trident') > -1, //IE内核
					presto: u.indexOf('Presto') > -1, //opera内核
					webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
					gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
					mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
					ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
					android: u.indexOf('Android') > -1 || u.indexOf('Adr') > -1, //android终端
					iPhone: u.indexOf('iPhone') > -1, //是否为iPhone或者QQHD浏览器
					iPad: u.indexOf('iPad') > -1, //是否iPad
					webApp: u.indexOf('Safari') == -1, //是否web应该程序，没有头部与底部
					weixin: u.indexOf('MicroMessenger') > -1, //是否微信 （2015-01-22新增）
					qq: u.match(/\sQQ/i) == " qq" //是否QQ
				};
			}(),
			language: (navigator.browserLanguage || navigator.language).toLowerCase()
		},
		/***********************************************原生js***************************************************** */
		/*****
		 * js调用原生原生ios
		 * js调用原生安卓
		 * getStatus  是前端与客户端 协商好调用的方法
		 */
		getStatus: function (status) {
			let self = this;
			let isApp = self.browser.versions.appflag;
			let isIos = self.browser.versions.ios;
			let isAndroid = self.browser.versions.android;
//			console.log(isApp,'isApp',isIos,'isIos',isAndroid,'isAndroid');
			console.log('getStatus: '+isApp+' '+isAndroid+' '+isIos);

			if (isApp) {
				 if (isAndroid) {
					try {
						var result=window.JSbridge.getStatus();
						console.log('result is :'+result);
						return JSON.parse(result);
					} catch (e) {
						console.log('Android getStatus error:');
					}
				}	else if (isIos) {
                					try {
                						function getNativeDataFunction(functionName, params = {}) {
                							let payload = {
                								"type": "JSbridge",
                								"functionName": functionName,
                								"arguments": params
                							};
                							return prompt(JSON.stringify(payload));
                						}
                						return JSON.parse(getNativeDataFunction("getStatus", status));
                					} catch (e) {
                						console.log('needMethod:');
                					}
                				}
			}else{
				return{
					name:'kaka'
				}
			}
		},
		appendHtml(data) {
			let body = document.getElementsByTagName('body')[0];
			let div = document.createElement('div');
			div.innerHTML = data;
			body.appendChild(div)
		}
	};
	
	function getUserData(){
		let sData =   Client.getStatus();
		console.log('Client.getStatus() '+JSON.stringify(sData));
		kaka(sData);
		// await kaka(sData.other);
		// kaka(param);
		$.ajax({
			type: "POST",
			url: "http://222.85.34.156:8082/service_api/api/SmartGovernment/getPeopleHouse",
			data: {
				idcard:sData.idcard,
				name:sData.name,
				token:sData.token,
				// idcard:411081197809147988,
				// name:'刘香沛',
			},
			dataType: "JSON",
			success: function (res) {
				kaka(sData);
				console.log(JSON.parse(res),'我是service_api请求的数据');
			}
		});

	}
	
	function kaka(param){
		switch(parseInt(param.type)){
			case 0:
				$('.houseProperty').show();
				render();
				break
			case 1:
				$('.queryList').show();
				render1();
				break
			case 2:
				$('.multipleBox').show();
				render2();
				break
		}
		param.isShowBtn == 1 ? $('.btn').show() : $('.btn').hide()
		localStorage.setItem('detailUrl',param.detailUrl)
		localStorage.setItem('isShowBtnDetail',param.isShowBtnDetail)
	
		// 房产查询
		function render(data){
			let houseProperty = $('.houseProperty');
			let str = `
			<div class="qrcodeBox">
				<img src="./images/qrcode.png" alt="">
				<p>扫码查看</p>
			</div>
			<div class="title">
			   <h4>平顶山市居民房产信息查询结果</h4>
			</div>
			<div class="barcodeBox">
			   <img src="./images/barode.png" alt="">
			</div>
			<div class="content">
			   <p>依据申请人:${param.name}出的身份证咨询委托申请，查询时间2021-09-17 14:51;34止，查询其提供家庭成员共计1人的不动产登记及商品房网签备案信息:</p>
			   <p>姓名：${param.name}</p>
			   <h6>经查询，现在在以上动产登记信息如下:</h6>
			   <p>未查询不动产相关数据</p>
			</div>
			`
			houseProperty.html(str);
		}
		
		// 列表查询
		function render1(data){
			let queryList = $('.queryList');
			let a = '610624200004183937'
			let str =`
				<div class="row">
					<div class="col left">申请人</div>
					<div class="col right">${param.name}</div>
				</div>	
				<div class="row">
					<div class="col left">证件姓名</div>
					<div class="col right">${param.name}</div>
				</div>	
				<div class="row">
					<div class="col left">证件号码</div>
					<div class="col right">${a.slice(0,1) + '****************' + a.slice(a.length-1)}</div>
				</div>	
				<div class="row">
					<div class="col left">不动产登记信息</div>
					<div class="col right">无</div>
				</div>		
				<div class="row">
					<div class="col left">网签备案信息</div>
					<div class="col right">无</div>
				</div>	
				<div class="row">
					<div class="col left">查询时间</div>
					<div class="col right">${time}</div>
				</div>	
			`;
			queryList.prepend(str);
		}
	
	
		// 模块查询
		function render2(data){
			let multipleBox = $('.multipleBox');
			let multipleBoxItem = $('.multipleBoxItem');
			let str = '';
			for (let i = 0; i < 4; i++) {
			  str += `
					<div class="itemTitle">许可证号</div>
					<div class="itemDecribe">平方预售证第【2021】085号</div>
					<div class="detail code" onclick="window.location.href = 'detail.html'">查看详情&gt;</div>
				`
			}
			multipleBoxItem.prepend(str);
		}
	}
	
	var time = getCurrentTime();
	getUserData();

	function getCurrentTime(){
		let date = new Date();
		
		let year = date.getFullYear();
		let month = date.getMonth() + 1;
		let day = date.getDate();
		let hour = date.getHours();
		let minute = date.getMinutes();
		let second = date.getSeconds();

		month < 10 ? month = '0'+month : month = month;
		day < 10 ? day = '0'+ day : day = day;
		hour < 10 ? hour = '0'+ hour : hour = hour;
		minute < 10 ? minute = '0'+ minute : minute = minute;
		second < 10 ? second = '0'+ second : second = second;

		return `${year}-${month}-${day} ${hour}:${minute}:${second}`
	}
});



